# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Current Class Reference

this attribute, located at root label, manage an
access to a current label.

`#include <TDataStd_Current.hxx>`

Inheritance diagram for TDataStd_Current:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Current ()
Standard_EXPORT void | SetLabel (const TDF_Label &current)
Standard_EXPORT TDF_Label | GetLabel () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods =============
static Standard_EXPORT void | Set (const TDF_Label &L)
| Set <l> as current of <l> Framework. .
static Standard_EXPORT TDF_Label | Get (const TDF_Label &acces)
| returns current of <acces> Framework. raise if (!Has)
static Standard_EXPORT Standard_Boolean | Has (const TDF_Label &acces)
| returns True if a current label is managed in <acces> Framework. //! class methods =============

## Private Attributes

TDF_Label | myLabel

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Current::TDataStd_Current | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Current::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT TDF_Label TDataStd_Current::Get | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDataStd_Current::GetID | ( |  | ) | `[static]`

Standard_EXPORT TDF_Label TDataStd_Current::GetLabel | ( |  | ) | const

Standard_EXPORT const TDataStd_Current::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

static Standard_EXPORT Standard_Boolean TDataStd_Current::Has | ( | const TDF_Label & | acces | ) | `[static]`

Standard_EXPORT const Standard_GUID& TDataStd_Current::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDataStd_Current::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Current::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Current::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT void TDataStd_Current::Set | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT void TDataStd_Current::SetLabel | ( | const TDF_Label & | current | ) |

## Field Documentation

TDF_Label TDataStd_Current::myLabel `[private]`

The documentation for this class was generated from the following file:

- TDataStd_Current.hxx